Novell is now a part of Micro Focus

Security update for gpg2

Knowledgebase

(Last modified: 18JUL2006)


solutions Security update for gpg2 SuSE Linux Maintenance Web (edc152f6072d76c1bc71a2011ddec883)

Applies to

Package: gpg2
Product(s): SUSE SLED 10 for x86
SUSE SLED 10 for AMD64 and Intel EM64T
SUSE SLES 10 for x86
SUSE SLES 10 for IPF
SUSE SLES 10 for IBM POWER
SUSE SLES 10 for IBM zSeries 64bit
SUSE SLES 10 for AMD64 and Intel EM64T
Novell Linux Desktop 9 for x86
Novell Linux Desktop 9 for x86_64
Patch: patch-11102
Release: 20060718
Obsoletes: none

Indications

Install this security update.

Contraindications

None.

Problem description

It is possible to crash (denial of service) the GNU Privacy Guard (gpg) by supplying a specifically crafted message specifying a very large UID, which leads to an out of memory situation or an integer overflow.
It is unclear if this problem can be exploited to execute code.
This issue is tracked by the Mitre CVE ID CVE-2006-3082.

Solution

Please install the updates provided at the location noted below.

Installation notes

This update is provided as an RPM package that can easily be installed onto a running system by using this command:
rpm -Fvh gpg2.rpm

links to download packages

Download Source Packages

Download the source code of the patches for maintained products.


Disclaimer

The Origin of this information may be internal or external to Novell. Novell makes all reasonable efforts to verify this information. However, the information provided in this document is for your information only. Novell makes no explicit or implied claims to the validity of this information.

Any trademarks referenced in this document are the property of their respective owners. Consult your product manuals for complete trademark information.

© Micro Focus